Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<InetDeviceType>
ru.bitel.common.dao.AbstractIdDao<InetDeviceType>
ru.bitel.common.dao.AbstractDirectoryIdDao<InetDeviceType>
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceTypeDao<InetDeviceType>
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceTypeDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<InetDeviceType>`

public class InetDeviceTypeDao extends DeviceTypeDao<InetDeviceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceTypeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(int id)`
  Удаление элемента по id
  `protected InetDeviceType`
  `getFromRS(ResultSet rs)`
  `protected void`
  `loadData(List<InetDeviceType> types)`
  `protected InetDeviceType`
  `newDeviceType()`
  `protected void`
  `updateImpl(InetDeviceType b)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceTypeDao

  `activateConfig, get, list`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get, opt, update`

- ## Constructor Details

  - ### InetDeviceTypeDao

    public InetDeviceTypeDao(Connection con, int moduleId)

- ## Method Details

  - ### newDeviceType

    protected InetDeviceType newDeviceType()
    Specified by:
      `newDeviceType` in class `DeviceTypeDao<InetDeviceType>`

  - ### getFromRS

    protected InetDeviceType getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<InetDeviceType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### loadData

    protected void loadData(List<InetDeviceType> types) throws SQLException
    Overrides:
      `loadData` in class `ru.bitel.common.dao.AbstractDao<InetDeviceType>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(InetDeviceType b) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetDeviceType>`
    Throws:
      `SQLException`

  - ### delete

    public int delete(int id) throws Exception
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<InetDeviceType>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<InetDeviceType>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`